package com.hzya.frame.mdm.mdmModule.dao;

import com.hzya.frame.mdm.entity.MdmDataDto;
import com.hzya.frame.mdm.entity.MdmDistributeEntity;
import com.hzya.frame.mdm.entity.MdmDto;
import com.hzya.frame.mdm.entity.MdmQuery;
import com.hzya.frame.mdm.entity.MdmVo;
import com.hzya.frame.mdm.mdmModule.entity.MdmModuleEntity;
import com.hzya.frame.basedao.dao.IBaseDao;
import com.hzya.frame.sys.entity.FormmainDeleteDto;
import com.hzya.frame.sys.entity.ModuleDto;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 主数据模版(mdm_module: table)表数据库访问层
 *
 * @author makejava
 * @since 2023-10-17 15:25:41
 */
public interface IMdmModuleDao extends IBaseDao<MdmModuleEntity, String> {

    List<MdmVo> queryMdm(MdmDto entity);

    Integer checkTable(Map<String, String> maps);

    Integer createTable(Map<String, Object> maps);
    Integer createTableDistribute(Map<String, Object> maps);
    Integer alterTable(Map<String, Object> maps);
    Integer alterTableName(Map<String, String> maps);

    List<HashMap<String, Object>> queryMdmShowData(MdmQuery entity);

    Integer checkData(Map<String, String> map);

    Integer updateForm(MdmDataDto mdmDataDto);
    Integer saveForm(MdmDataDto mdmDataDto);

    Integer deleteTemplateById(FormmainDeleteDto formmainDeleteDto);

    List<HashMap<String, Object>> queryDataAll(MdmDto entity);

    List<HashMap<String, Object>> queryTemplateData(ModuleDto entity);

    HashMap<String, Object> queryTemplateDataOne(MdmDto entity);

    List<HashMap<String, Object>> queryTemplateDataMore(MdmDto entity);
    List<HashMap<String, Object>> querySelectData(MdmDto entity);

    Integer deleteChilder(FormmainDeleteDto formmainDeleteDto);

    Integer saveDistribute(MdmDistributeEntity mdmDistributeEntity);

    Integer updateDistribute(MdmDistributeEntity mdmDistributeEntity);
}

